Subject: Re: [mpls] MPLS-RT Review of draft-fbb-mpls-tp-p2mp-framework-05

From: Stewart Bryant <[email-masked]>
Date: Wed, 02 Jan 2013 12:23:38 +0000

On 03/09/2012 11:18, [email-masked] wrote:
> Hi, authors and chairs.
>
> As the MPLS-RT process, I've reviewed draft-fbb-mpls-tp-p2mp-framework-05.
>
> a. Is the document coherent?
> It is almost coherent. I have two comments.
>
> - Section 7. (Network Management)
> I think the following description should be moved from section 7 to section 4 (OAM).
> "Packet Loss and Delay Measurement for
>  MPLS Networks [RFC6374] already considers the P2MP case and it is not
>  thought that any change is needed to the MPLS-TP profile of [RFC6374]
>  [RFC6375]."
Done.
>
> - Section 1.2. (Terminology)
> I suppose PM is "Performance Monitoring", not "Performance Measurement",
> referring to RFC5921, 5951 and 6371.
Done
> b. Is it useful (ie, is it likely to be actually useful in operational networks)?
> I believe this draft is useful. If possible, comments from operators will help.
>
> c. Is the document technically sound?
> My concern is 1:n protection. 
> As addressed in section 6, it needs further discussion.
> Relating to this point, it will be valuable if the draft lists up protection types
> P2MP MAY support (for example, partial tree protection as addressed in section 6).
The draft says:
More sophisticated survivability approaches such as partial tree
protection and 1:n protection are for further study.

The further study can happen during the WG phase of the draft. At this
stage the draft is only up for WG adoption not WG LC, and thus the test is
whether the draft is a good starting point for the WG to work on it, and
I suggest that it passed that hurdle.

>
> The other descriptions are clear and well aligned with referred RFCs. 
>
> d. Is the document ready to be considered for WG adoption?
> IMO, it's better to close my comments above on section 7 before WG adoption.
That one is done.

- Stewart
>
> Best Regards,
> Kenji.
>
>
>> Kenji, Jia, Dave;
>>
>> You have been selected as an MPLS Review team reviewers for
>> draft-fbb-mpls-tp-p2mp-framework-05.txt
>>
>> Note to authors: You have been CC壇 on this email so that you can know
>> that this review is going on. However, please do not review your own
>> document.
>>
>> Reviews should comment on whether the document is coherent, is it useful
>> (ie, is it likely to be actually useful in operational networks), and is
>> the document technically sound?  We are interested in knowing whether
>> the document is ready to be considered for WG adoption (ie, it doesn稚
>> have to be perfect at this point, but should be a good start).
>>
>> Reviews should be sent to the document authors, WG co-chairs and
>> secretary, and CC壇 to the MPLS WG email list. If necessary, comments
>> may be sent privately to only the WG chairs.
>>
>> Are you able to review this draft by Sep 3, 2012?
>>
>> Thanks, Loa
>> (as MPLS WG chair)
>> -- 
>>
>>
>> Loa Andersson                         email: [email-masked]
>> Sr Strategy and Standards Manager            [email-masked]
>> Ericsson Inc                          phone: +46 10 717 52 13
>>                                              +46 767 72 92 13
>>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
> .
>

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 02 Jan 2013 12:50:31 +0000

On 03/09/2012 13:26, Hejia wrote:
> Hi ,
>
> I have finished reviewing draft-fbb-mpls-tp-p2mp-framework-05.txt as the member of MPLS Review team and have the following comments:
>
> * Is the document coherent?
>
>  It is close to coherent. Please take the following two comments into account when further progressing this draft.
>
>  1. There are a few drafts referenced in this document have expired, e.g.
>    [I-D.ietf-pwe3-p2mp-pw-requirements]
This one Matthew can give the latest status on. It needs a major
re-write, but it does
need to be written. The best that we can do at the moment is to keep the
reference in as a placeholder.
>    [I-D.ietf-l2vpn-vpms-frmwk-requirements]
This is now current
>    [I-D.raggarwa-pwe3-p2mp-pw-encaps].
Again Matthew can perhaps comment, but the PWE3 WG will need
to produce a document with equivalent text. My assumption is
that it will be phased behind the p2mp requirements draft.

For the moment this is the best placeholder we have.
>  
>    Please check the availability of the relevant content in these drafts referenced in this document. 
>
>  2. Section 4 Operations, Administration and Maintenance (OAM)
>    There is an editor's note reminding the coordination work between this draft and [I-D.hmk-mpls-tp-p2mp-oam-framework]. It is better to work out the details before moving to WG adoption.  
I disagree. By adoption the WG is making the statement that it is
working on this work
and this is only a section of the work.
>
>
> * Is it useful (i.e., is it likely to be actually useful in operational networks), and is the document technically sound?
>  
>  I believe this document is useful. One comment about Section 6: 
>  Section 6 summarizes the 1+1 protection scheme for unidirectional P2MP transport paths as defined in [RFC6372]. However, some description in this section (see below) is applicable to 1:1 instead of 1+1 P2MP protection. 
>  
>    "Fault notification
>    happens from the node idenifying the fault to the root node and from
>    the leaves to the root via an out of band path. "
I have noted that the referenced text (RFC6373 section 4.7.3) deals with
both
1+1 and 1:1
>
> * Is the document ready to be considered for WG adoption?
>  It is suggested to clear up the issues listed above before moving forward to WG adoption. 
>
>
> * Nits
>
>   1. Section 4 Operations, Administration and Maintenance (OAM)
>    s/spacific/specific
done
>
>   2. Section 5.2 Point-to-Multipoint PW Control Plane
>   " [I-D.ietf-pwe3-p2mp-pw]" at the beginning of this paragraph should be deleted.
done
>   3. Section 6 Survivability
>   s/eather/either
>   s/ identifying/identifying
done (can't find the second issue)

- Stewart
>
> B.R.
> Jia
>
>
> -----邮件原件-----
> 发件人: Loa Andersson [mailto:[email-masked]] 
> 发送时间: 2012年8月18日 15:14
> 收件人: [email-masked]; Hejia; David Allan I
> 抄送: [email-masked]; [email-masked]; Martin Vigoureux
> 主题: MPLS-RT Review of draft-fbb-mpls-tp-p2mp-framework-05
>
> Kenji, Jia, Dave;
>
> Note to authors: You have been CC’d on this email so that you can know
> the document is ready to be considered for WG adoption (ie, it doesn’t
> secretary, and CC’d to the MPLS WG email list. If necessary, comments

---

From: <[email-masked]>
Date: Mon, 7 Jan 2013 19:15:22 +0900

Hi, Stewart.

The updated document has addressed my comments.
Thank you.

Best Regards.
Kenji.